import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/system/business/gsp/list',
    method: 'get',
    params: query
  })
}

// 试验物资列表
export function studyList(query) {
  return request({
    url: '/system/business/gsp/studyList',
    method: 'get',
    params: query
  })
}


// 稽查轨迹列表
export function jcgjList(query) {
  return request({
    url: '/system/business/gsp/jcgjList',
    method: 'get',
    params: query
  })
}
// 详情
export function info(query) {
  return request({
    url: '/system/business/gsp/info',
    method: 'get',
    params: query
  })
}
// 保存
export function save(data) {
  return request({
    url: '/system/business/gsp/save',
    method: 'post',
    data: data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: '/system/business/gsp/edit',
    method: 'post',
    data: data
  })
}


// 审核编辑
export function shbj(data) {
  return request({
    url: '/system/business/gsp/shbj',
    method: 'post',
    data: data
  })
}

// 修改库存
export function xgkc(data) {
  return request({
    url: '/system/business/gsp/xgkc',
    method: 'post',
    data: data
  })
}


// 审核修改库存
export function shxgkc(data) {
  return request({
    url: '/system/business/gsp/shxgkc',
    method: 'post',
    data: data
  })
}

// 解锁
export function js(data) {
  return request({
    url: '/system/business/gsp/js',
    method: 'post',
    data: data
  })
}


// 锁定
export function sd(data) {
  return request({
    url: '/system/business/gsp/sd',
    method: 'post',
    data: data
  })
}


//批量锁定
export function plsd(data) {
  return request({
    url: '/system/business/gsp/plsd',
    method: 'post',
    data: data
  })
}

//处置容器
export function cz(data) {
  return request({
    url: '/system/business/gsp/cz',
    method: 'post',
    data: data
  })
}

//批量处置
export function plcz(data) {
  return request({
    url: '/system/business/gsp/plcz',
    method: 'post',
    data: data
  })
}



//归档
export function gd(data) {
  return request({
    url: '/system/business/gsp/gd',
    method: 'post',
    data: data
  })
}

//批量归档
export function plgd(data) {
  return request({
    url: '/system/business/gsp/plgd',
    method: 'post',
    data: data
  })
}
//发放
export function ff(data) {
  return request({
    url: '/system/business/gsp/ff',
    method: 'post',
    data: data
  })
}
//批量发放
export function plff(data) {
  return request({
    url: '/system/business/gsp/plff',
    method: 'post',
    data: data
  })
}

//钥匙发放
export function ysff(data) {
  return request({
    url: '/system/business/gsp/ysff',
    method: 'post',
    data: data
  })
}

//归还
export function gh(data) {
  return request({
    url: '/system/business/gsp/gh',
    method: 'post',
    data: data
  })
}

//台账列表
export function tzList(query) {
  return request({
    url: '/system/business/gsp/tzList',
    method: 'get',
    params: query
  })
}

//解档
export function jd(data) {
  return request({
    url: '/system/business/gsp/jd',
    method: 'post',
    data: data
  })
}

// 借阅
export function jy(data) {
  return request({
    url: '/system/business/gsp/jy',
    method: 'post',
    data: data
  })
}